#include <stdio.h>
#include <string>
#include <vector>
#include <cstring>
#include <algorithm>
using namespace std;

struct num{
    int v, ind;
};

struct nesto{
    int i, j;
};

const int MaxN = 305;
const int MaxS = 100005;
num a[MaxN];
bool b[MaxS];
nesto c[MaxS];

bool cmp(num a, num b){
    return a.v < b.v;
}

int main(){
    FILE *f = fopen("ppn.in", "r");
    FILE *g = fopen("ppn.out", "w");
    int n, s = 0;
    fscanf(f, "%d", &n);
    for (int i = 1; i <= n; i++){
        fscanf(f, "%d", &a[i].v); a[i].ind = i;
        s += a[i].v;
    }

    sort(a+1, a+n+1, cmp);
    //for (int i = 1; i <= n; i++) printf("%2.d ", a[i].v); printf("\n");

    b[0] = true; c[0].i = 0; c[0].j = 0;
    for (int j = 1; j <= s/2; j++){
        b[j] = false; c[j].i = 0; c[j].j = 0;
    }

    for (int i = n; i >= 1; i--)
        for (int j = s/2 - a[i].v; j >= 0; j--)
            if (b[j] && !b[ a[i].v + j ]){
                b[ a[i].v + j ] = true;
                c[ a[i].v + j ].i = i;
                c[ a[i].v + j ].j = j;
            }

    /*for (int i = 1; i <= s/2; i++) printf("%2.d ", i); printf("\n");
    for (int i = 1; i <= s/2; i++) printf("%2.d ", b[i]); printf("\n");
    for (int i = 1; i <= s/2; i++) printf("%2.d ", c[i].i); printf("\n");
    for (int i = 1; i <= s/2; i++) printf("%2.d ", c[i].j); printf("\n");*/

    int sol = 0, soli = 0, solj = 0;
    for (int i = 1; i <= n; i++){
        int A = s/2 - a[i].v + 1, B = s/2;
        if (A <= 0){
            fprintf(g, "1\n");
            fprintf(g, "%d\n", a[i].ind);
            fclose(f); fclose(g);
            return 0;
        }

        for (int j = A; j <= B; j++)
            if (c[j].i > i && sol < a[i].v + j){
                sol = a[i].v + j;
                soli = i; solj = j;
            }
    }


    //printf("sol = %d, soli = %d, solj = %d\n", sol, soli, solj);
    if (soli == 0){
        fprintf(g, "0\n");
        fclose(f); fclose(g);
        return 0;
    }

    int res[MaxN];
    int xd = 1;
    res[1] = a[soli].ind;

    int j = solj;
    while (j > 0){
        xd++; res[xd] = a[ c[j].i ].ind;
        j = c[j].j;
    }

    fprintf(g, "%d\n", xd);
    for (int i = 1; i < xd; i++) fprintf(g, "%d ", res[i]); fprintf(g, "%d\n", res[xd]);
    fclose(f); fclose(g);
    return 0;
}
