#include <stdio.h>
#include <stdlib.h>
#include <map>
#include <vector>
#include <set>
#include <algorithm>
#include <string>
#include <cstring>
using namespace std;

struct tacka {
    int x;
    int y;
};

struct skup {
    int br;
    tacka a[500];
};
tacka niz[500];
int n;

bool cmp2(tacka a, tacka b) {
    if (a.x*b.y - b.x*a.y != 0) return (a.x*b.y - b.x*a.y > 0);
    return a.x < b.x;
}

bool cmp(tacka a, tacka b) {
    if (a.x != b.x) return a.x < b.x;
    return a.y < b.y;
}


skup kompleksni() {
    skup res;
    res.a[1] = niz[1];
    res.br = 1;
    sort(niz+2, niz+n+1, cmp2);
    int ii, jj, kk;
    ii = 2;
}

int tackaUTrouglu(tacka t, tacka A, tacka B, tacka C) {

    int tacno = 1;
    int a = A.y - B.y;
    int b = B.x - A.x;
    int c = B.y*A.x - A.y*B.x;
    if ((a*t.x + b*t.y + c) * (a*C.x + b*C.y + c) < 0) tacno = 0;

    a = A.y - C.y;
    b = C.x - A.x;
    c = C.y*A.x - A.y*C.x;
    if ((a*t.x + b*t.y + c) * (a*B.x + b*B.y + c) < 0) tacno = 0;

    a = C.y - B.y;
    b = B.x - C.x;
    c = B.y*C.x - C.y*B.x;
    if ((a*t.x + b*t.y + c) * (a*A.x + b*A.y + c) < 0) tacno = 0;

    return tacno;
}


int main() {
    FILE *ff = fopen("trougao.in", "r");
    FILE *gg = fopen("trougao.out", "w");
    fscanf(ff, "%d", &n);
    for (int i = 1; i <= n; i++) fscanf(ff, "%d %d", &niz[i].x, &niz[i].y);
    sort(niz+1, niz+n+1, cmp);
    for (int i = n; i >= 1; i--) {
        niz[i].x -= niz[1].x;
        niz[i].y -= niz[1].y;
    }
    int RES = 0, res;
    for (int i = 1; i <= n-2; i++)
        for (int j = i+1; j <= n-1; j++)
            for (int k = j+1; k <= n; k++) {
                if ((niz[i].y - niz[j].y != niz[k].y - niz[j].y) || (niz[i].x - niz[j].x != niz[k].x - niz[j].x) || (niz[i].x*niz[j].y - niz[i].y*niz[j].x != niz[k].x*niz[j].y - niz[k].y*niz[j].x))
                if ((niz[i].y - niz[j].y != niz[j].y - niz[k].y) || (niz[i].x - niz[j].x != niz[j].x - niz[k].x) || (niz[i].x*niz[j].y - niz[i].y*niz[j].x != niz[j].x*niz[k].y - niz[j].y*niz[k].x)){
                    res = 0;
                    for (int br = 1; br <= n; br++)
                        if (tackaUTrouglu(niz[br], niz[i], niz[j], niz[k])) res++;
                    if (RES < res) RES = res;
                    //if (res == 6) printf("%d %d %d \n", i, j, k);
                }
            }
    fprintf(gg, "%d\n", RES);
}
