#include <stdio.h>
#include <algorithm>
#include <math.h>
#include <stdlib.h>
using namespace std;

#define MaxN 1000111

int pret[MaxN],sled[MaxN];
long long v[MaxN];

struct brojunizu {
    int pos;
    long long v;
} a[MaxN];

bool cmp(brojunizu a, brojunizu b) {
    return a.v<b.v;
}

int main() {

    int n,i,x;
    long long res;
    FILE *ff=fopen("niz.in", "r"), *gg=fopen("niz.out", "w");

    fscanf(ff,"%d", &n);

    for(i=0; i<n; i++) {
       fscanf(ff,"%d", &a[i].v);
       a[i].pos=i;
       if (i<n-1) sled[i]=i+1; else sled[i]=-1;
       if (i>0) pret[i]=i-1; else pret[i]=-1;
       v[i]=a[i].v;
    }

    sort(a,a+n,cmp);

    res=0;
    for(i=0; i<n-1; i++) {
       x=a[i].pos;
       if (pret[x]!=-1 && sled[x]!=-1) {
          if (v[sled[x]] > v[pret[x]]) {
             res=res+v[pret[x]];
             sled[pret[x]]=sled[x];
             pret[sled[x]]=pret[x];
          } else {
             res=res+v[sled[x]];
             sled[pret[x]]=sled[x];
             pret[sled[x]]=pret[x];
          }
       } else if (sled[x]!=-1) {
          res=res+v[sled[x]];
          pret[sled[x]]=-1;
       } else {
          res=res+v[pret[x]];
          sled[pret[x]]=-1;
       }
    }

    fprintf(gg,"%I64lld\n", res);

    fclose(ff);  fclose(gg);
    return 0;
}
