#include <stdio.h>
#include <stdlib.h>
#include <map>
#include <vector>
#include <set>
#include <algorithm>
#include <string>
#include <cstring>
using namespace std;

int n;
long long a[1000100];
long long levo[1000100], desno[1000100];
long long zbir = 0;

long long Min(long long a, long long b) {
    if ((a == 0) && (b == 0)) return 0;
    if (a == 0) return b;
    if (b == 0) return a;
    long long res = a;
    if (b < a) res = b;
    return res;
}

int main() {
    FILE *ff = fopen("niz.in", "r");
    FILE *gg = fopen("niz.out", "w");
    fscanf(ff, "%d", &n);
    for (int i = 1; i <= n; i++) {
        fscanf(ff, "%I64d", &a[i]);
        levo[i] = desno[i] = 0;
    }
    bool tacno = true;
    for (int i = 1; i < n; i++) if (a[i] != a[i+1]) tacno = false;
    if (tacno) {
        zbir = (n-1) * a[1];
        fprintf(gg, "%I64d\n", zbir);
        return 0;
    }

    long long l, r, res;
    res = 2;
    while ((a[res] < a[1]) && (res <= n)) res++;
    if (res <= n) desno[1] = a[res];

    res = n-1;
    while ((a[res] <= a[n]) && (res >= 1)) res--;
    if (res >= 1) levo[n] = a[res];

    for (int i = 2; i <= n-1; i++) {
        r = i+1;
        while ((a[r] < a[i]) && (r <= n)) r++;
        if (r <= n) desno[i] = a[r];
        l = i-1;
        while ((a[l] <= a[i]) && (l >= 1)) l--;
        if (l >= 1) levo[i] = a[l];
    }


    for (int i = 1; i <= n; i++) {
        //printf("%I64d %I64d %I64d\n", Min(levo[i], desno[i]), levo[i], desno[i]);
        zbir += Min(desno[i], levo[i]);
    }
    //printf("---   %I64d   ---\n", desno[100]);
    fprintf(gg, "%I64d\n", zbir);
}
